SDL_CreateSoftwareRenderer(3)

NAME
SDL_CreateSoftwareRenderer - Create a 2D software rendering context for a surface.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Renderer * SDL_CreateSoftwareRenderer(SDL_Surface *surface);

DESCRIPTION
Two other API which can be used to create SDL_Renderer :

SDL_CreateRenderer () and

SDL_CreateWindowAndRenderer (). These can _also_ create a software renderer, but they are intended to be used with an

SDL_Window
 as the final destination and not an

SDL_Surface .

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure representing the surface where rendering is done.

RETURN VALUE
( SDL_Renderer
 *) Returns a valid rendering context or NULL if there was an error; call SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_DestroyRenderer(3)